Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_statement_match

## Name

librdf_statement_match -- Match a statement against a 'partial' statement

## Synopsis

``int `librdf_statement_match`` (librdf_statement* `statement`, librdf_statement* `partial_statement`);`

## Arguments

`statement`

  statement

`partial_statement`

  statement with possible empty parts

## Description

A partial statement is where some parts of the statement - subject, predicate or object can be empty (NULL). Empty parts match against any value, parts with values must match exactly. Node matching is done via `librdf_node_equals`

## Return value

non 0 on match

<<< Previous | Home | Next >>>
librdf_statement_equals | Up | librdf_statement_encode